summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
Diffstat (limited to 'debian')
-rw-r--r--debian/changelog2
-rw-r--r--debian/libpam-runtime.preinst50
2 files changed, 2 insertions, 50 deletions
diff --git a/debian/changelog b/debian/changelog
index f7849da3..93a81c7b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,8 @@ pam (1.0.1-2) UNRELEASED; urgency=low
long-obsolete pam_pwdb, and clarify the relationship between pam_stack
and @include.
* Drop various bits of unused cruft from the debian/ directory.
+ * Drop libpam-runtime.preinst, only used for upgrades from woody to sarge
+ to deal with modified conffiles.
-- Steve Langasek <vorlon@debian.org> Wed, 30 Jul 2008 00:55:10 -0700
diff --git a/debian/libpam-runtime.preinst b/debian/libpam-runtime.preinst
deleted file mode 100644
index 7eef6c46..00000000
--- a/debian/libpam-runtime.preinst
+++ /dev/null
@@ -1,50 +0,0 @@
-#! /bin/sh
-# see: dh_installdeb(1)
-
-set -e
-
-remove_md5() {
- if md5sum $1 2>/dev/null |grep -q $2; then
- cp $1 $1.pre-upgrade
- sed -e '/password[ \t]*required[ \t]*pam_unix.so/ s/ md5$//' $1 >$1.post-upgrade \
- && mv $1.post-upgrade $1
- fi
- }
-
-
-
-# summary of how this script can be called:
-# * <new-preinst> `install'
-# * <new-preinst> `install' <old-version>
-# * <new-preinst> `upgrade' <old-version>
-# * <old-preinst> `abort-upgrade' <new-version>
-#
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
- install|upgrade)
- if [ "x$2" != "x" ] ; then
- if dpkg --compare-versions $2 lt 0.76 ; then
- remove_md5 /etc/pam.d/other a9a9d551b75001ccb5b553927e46e601
- fi
- fi
-
- ;;
-
- abort-upgrade)
- ;;
-
- *)
- echo "preinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0